Skip to main content
PUT
Acknowledge return

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
number
required

RMA ID

retailer_pk
number
required

Retailer ID

Body

application/json
order_id
integer
required

Order ID

Example:

1000

reason_id
integer
required

ID associated with return reason

Example:

344

rma_number
string | null

RMA number

Maximum string length: 32
Example:

"ABC123"

status
enum<string> | null

RMA status. Default is Pending.

Available options:
pending,
approved,
rejected
Example:

"Pending"

currency
object
created_by
enum<string> | null

User that initiated RMA

Available options:
retailer,
brand
Example:

"Retailer"

rmad_at
string<date-time> | null

Time of RMA creation (UTC format)

Example:

"2022-09-10T15:24:56Z"

approved_at
string<date-time> | null

Time of RMA approval (UTC format)

Example:

"2022-09-10T15:24:56Z"

rejected_at
string<date-time> | null

Time of RMA rejection(UTC format)

Example:

null

acknowledged_at
string<date-time> | null

Time of RMA acknowledgement (UTC format)

Example:

"2022-09-10T15:24:56Z"

retailer
object
brand
object

Response

Ok

order_id
integer
required

Order ID

Example:

1000

reason_id
integer
required

ID associated with return reason

Example:

344

id
integer
read-only

RMA ID. This ID is required in subsequent endpoints related to RMA.

Example:

4

purchase_order_number
string
read-only

Purchase order number

Minimum string length: 1
Example:

"CS192168"

rma_number
string | null

RMA number

Maximum string length: 32
Example:

"ABC123"

status
enum<string> | null

RMA status. Default is Pending.

Available options:
pending,
approved,
rejected
Example:

"Pending"

currency
object
created_by
enum<string> | null

User that initiated RMA

Available options:
retailer,
brand
Example:

"Retailer"

rmad_at
string<date-time> | null

Time of RMA creation (UTC format)

Example:

"2022-09-10T15:24:56Z"

approved_at
string<date-time> | null

Time of RMA approval (UTC format)

Example:

"2022-09-10T15:24:56Z"

rejected_at
string<date-time> | null

Time of RMA rejection(UTC format)

Example:

null

ordered_at
string<date-time>
read-only

Time of order finalization (UTC format)

Example:

"2022-09-10T15:24:56Z"

acknowledged_at
string<date-time> | null

Time of RMA acknowledgement (UTC format)

Example:

"2022-09-10T15:24:56Z"

rma_lines
object[]
read-only
reason
string
read-only

Reason for return

Minimum string length: 1
Example:

"Incorrect"

memos
object[]
read-only
attachments
object[]
read-only
retailer
object
brand
object
total_amount
string
read-only

Total amount

Example:

"34.00"

credits
object[]
read-only